/* Start Global Rules */
:root {
    --main-color: #2196F3;
    --main-color-alt: #1787e0;
    --main-transition: 0.3s;
}

html {
    scroll-behavior: smooth;
}

ul, a {
    list-style: none;
    text-decoration: none;
    margin: 0;
    padding: 0;
}

* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

body {
    font-family: 'Cairo', sans-serif;
}

.container {
    padding-left: 15px;
    padding-right: 15px;
    margin-left: auto;
    margin-right: auto;
}

/* Small */
@media (min-width:678px) {
    .container {
        width: 750px;
    }

}

/* Medium */
@media (min-width:992px) {
    .container {
        width: 970px;
    }
}

/* Larg */
@media (min-width:1200px) {
    .container {
        width: 1170px;
    }
}

/* End Global Rules */

/* Start Header */
.header {
    background-color: white;
    position: relative;
    -webkit-box-shadow: 0 0 10px #ddd;
    -moz-box-shadow: 0 0 10px #ddd;
    box-shadow: 0 0 10px #ddd;
}
.header .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    position: relative;
}
.header .logo {
    color: var(--main-color);
    font-size: 26px;
    font-weight: bold;
    height: 72px;
    display: flex;
    justify-content: center;
    align-items: center;
}
@media (max-width:767px){
    .header .logo {
        width: 100%;
        height: 50px;
    }
}
.header .main-nav {
    display: flex;
}
@media (max-width:767px){
    .header .main-nav {
        margin: auto;
    }
}
.header .main-nav > li:hover .mega-menu{
    opacity: 1;
    z-index: 100;
    top: calc(100% + 1px);
}
.header .main-nav > li > a {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 72px;
    position: relative;
    color: black;
    padding: 0 30px;
    transition: var(--main-transition);
    overflow: hidden;
}
@media (max-width:767px){
    .header .main-nav > li > a {
        padding: 10px;
        font-size: 14px;
        height: 40px;
    }
}
.header .main-nav > li > a::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 4px;
    background-color: var(--main-color);
    top: 0;
    left: -100%;
    transition: var(--main-transition);
}
.header .main-nav > li > a:hover {
    color: var(--main-color);
    background-color: #fafafa;
}
.header .main-nav > li > a:hover::before {
    left: 0;
}
.header .mega-menu {
    position: absolute;
    width: 100%;
    left: 0;
    padding: 30px;
    background-color: white;
    border-bottom: 3px solid var(--main-color);
    z-index: -1;
    display: flex;
    gap: 40px;
    top: calc(100% + 50px);
    transition: top var(--main-transition), opacity var(--main-transition);
    opacity: 0;
}
@media (max-width:767px) {
    .header .mega-menu {
        flex-direction: column;
        gap: 0;
        padding: 5px;
    }
}

.header .mega-menu .image img {
    max-width: 100%;
}
@media (max-width:991px){
.header .mega-menu .image {
    display: none;
}
}
.header .mega-menu .links {
    min-width: 250px;
    flex: 1;
}
.header .mega-menu .links li {
    position: relative;
}
.header .mega-menu .links li:not(:last-child) {
    border-bottom: 1px solid #e9e6e6;
}
@media (max-width:767px) {
    .header .mega-menu .links:first-of-type li:last-child{
        border-bottom: 1px solid #e9e6e6;
    }
}
.header .mega-menu .links li::before {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    width: 0;
    height: 100%;
    background-color: #fafafa;
    z-index: -1;
    transition: var(--main-transition);
}
.header .mega-menu .links li:hover::before {
    width: 100%;
}
.header .mega-menu .links li a {
    color: var(--main-color);
    padding: 15px;
    display: block;
    font-size: 18px;
    font-weight: bold;
}
.header .mega-menu .links li a i {
    margin-right: 10px;
}
/* End Header */

/* Start Landing */
.landing {
    position: relative;
}
.landing::before {
    content: '';
    position: absolute;
    left: 0;
    top: -40px;
    width: 100%;
    height: 100%;
    background-color: #ececec;
    z-index: -1;
    transform: skewY(-6deg);
    transform-origin: top left;
}
.landing .container {
    min-height: calc(100vh - 71px);
    display: flex;
    align-items: center;
    padding-bottom: 120px;
}
.landing .text {
    flex: 1;
}
@media (max-width:991px) {
    .landing .text {
        text-align: center;
    }
}
.landing .text h1 {
    font-size: 40px;
    margin: 0;
    letter-spacing: -2px;
}
@media (max-width:767px) {
    .landing .text h1 {
        font-size: 28px;
    }
}
.landing .text p
{
font-size: 24px;
line-height: 1.7;
margin: 5px 0;
color: #666;
max-width: 500px;
}
@media (max-width:767px) {
    .landing .text p {
        font-size: 18px;
    }
}
@media (max-width:991px) {
    .landing .text p {
        margin: 10px auto;
    }
}
.landing .image img {
    position: relative;
    width: 600px;
    animation: up-and-down 5s linear infinite;
}
@media (max-width:991px) {
    .landing .image {
        display: none;
    }
}
.landing .go-down {
    color: var(--main-color);
    position: absolute;
    left: 50%;
    bottom: 30px;
    transform: translateX(-50%);
    transition: var(--main-transition);
}
.landing .go-down:hover {
    color: var(--main-color-alt);
}
.landing .go-down i {
    animation: bouncing 1.5s infinite;
}
/* End Landing */

 /* Start Animation */
    @keyframes up-and-down {
        0%,
        100% {
            top: 0;
        }
        50% {
            top: -50px;
        }
    }
    @keyframes bouncing {
        0%,
        10%,
        20%,
        50%,
        80%,
        100% {
            transform: translateY(0);
        }
        40%, 60% {
            transform: translateY(-15px);
        }
    }
 /* End Animation */